Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-102202

[REG:6.2.3->6.2.4]: Cannot use c++latest with qmake and MSVC

    XMLWordPrintable

    Details

    • Platform/s:
      Windows
    • Commits:
      b5ed3cb7ba (qt/qtbase/dev) b5ed3cb7ba (qt/tqtc-qtbase/dev) 2f638a8512 (qt/qtbase/6.3) c1b8acb464 (qt/qtbase/6.2) c1b8acb464 (qt/tqtc-qtbase/6.2) 2f638a8512 (qt/tqtc-qtbase/6.3)

      Description

      c++latest cannot be set in qmake projects.

      Using:

      CONFIG += c++latest
      

      leads to

      -std:c++20
      

      being added to compile command.

      In cmake projects doing

      set(CMAKE_CXX_STANDARD 23)
      

      adds

      -std:c++latest
      

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            jbornema Joerg Bornemann
            Reporter:
            jussi_witick Jussi Witick
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes